POST api/MedicalExamcos/SaveActivateMedicalExamComplince
Request Information
URI Parameters
None.
Body Parameters
EmployeeComplianceExamDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ExamId | string |
String length: inclusive between 0 and 20 |
|
| EmployeeId | string |
String length: inclusive between 0 and 12 |
|
| InitialExpirationDate | date |
None. |
|
| ExamName | string |
String length: inclusive between 0 and 200 |
|
| ExamStatus | boolean |
None. |
|
| InCompliance | boolean |
None. |
|
| EmployeeComplianceId | integer |
None. |
|
| IsEmployeeInCompliance | boolean |
None. |
|
| ISQuestionnaireOnlyExam | boolean |
None. |
|
| StartDate | date |
None. |
|
| EndDate | date |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"ExamId": "sample string 2",
"EmployeeId": "sample string 3",
"InitialExpirationDate": "2026-08-04T06:11:59.265196-07:00",
"ExamName": "sample string 4",
"ExamStatus": true,
"InCompliance": true,
"EmployeeComplianceId": 1,
"IsEmployeeInCompliance": true,
"ISQuestionnaireOnlyExam": true,
"StartDate": "2026-08-04T06:11:59.265196-07:00",
"EndDate": "2026-08-04T06:11:59.265196-07:00",
"ValidFlag": true,
"DateCreated": "2026-08-04T06:11:59.265196-07:00",
"DateUpdated": "2026-08-04T06:11:59.265196-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfEmployeeComplianceExamDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EmployeeComplianceExamDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ExamId": "sample string 2",
"EmployeeId": "sample string 3",
"InitialExpirationDate": "2026-08-04T06:11:59.2807982-07:00",
"ExamName": "sample string 4",
"ExamStatus": true,
"InCompliance": true,
"EmployeeComplianceId": 1,
"IsEmployeeInCompliance": true,
"ISQuestionnaireOnlyExam": true,
"StartDate": "2026-08-04T06:11:59.2807982-07:00",
"EndDate": "2026-08-04T06:11:59.2807982-07:00",
"ValidFlag": true,
"DateCreated": "2026-08-04T06:11:59.2807982-07:00",
"DateUpdated": "2026-08-04T06:11:59.2807982-07:00",
"UserIDCreated": 13,
"UserIDUpdated": 14,
"CompanyCode": "sample string 15",
"IsExcludeDiscount": true
},
"totalCount": 3
}